#pragma once
#ifndef DF_LOG_CHECK_H
#define DF_LOG_CHECK_H

#ifdef _MSC_VER
#pragma warning(disable:4786)
#pragma warning(disable:4996)
#endif

// YYYY_MM_DD_DFComDLL_channelID.log
#define LOG_FILENAME         "%s/%s/20%02i_%02i_%02i_DFComDLL_%i.log"
#define LOG_LIST_FILENAME_TXT    "%s/20%02i_%02i_%02i_%02i_%02i_%02i_%i_%c_%s.txt"
#define LOG_LIST_FILENAME_BIN    "%s/20%02i_%02i_%02i_%02i_%02i_%02i_%i_%c_%i.bin"
#define LOG_SEARCH_LIST_FILENAME "%s/%s/20??_??_??_??_??_??_*.*"
#define LOG_SEARCH_FILENAME  "%s/%s/20??_??_??_DFComDLL_*.log"
#define LOG_DELETE_FILENAME  "%s/%s/%s"

class CDFLogCheck
{
public:
    CDFLogCheck();
    virtual ~CDFLogCheck();

    // Operationen
public:
    int check();

    // Attribute
public:
    // Zugewiesene Verbindungsnummer
    int m_connectionNumber;
    char m_basePath[260];   // Basispfad fuer Log
    char m_subFolder[80];   // Unterordner fuer Logdateien
    int m_eraseFileDays;
};

#endif
